#!/usr/bin/env python
# -*- coding: utf-8 -*-
# Project       FreeImagePy
# file name:    setup.py
# Version:      1.0.0
#
# DESCRIPTION
# FreeImage python bind - setup.py
#
# Developer:
# Michele Petrazzo <michele.petrazzo@unipex.it>
#
# History :
# creation: 08/2005 - Michele Petrazzo
#
# License:
#         GNU General Public License (GPL)
#         FreeImage Public License (FIPL)
#         For more info see LICENSE.txt
#
# Copyright (C) 2005  Unipex s.r.l.,  All Rights Reserved.
# Via Vittorio Veneto 83/A
# 33050 Gonars (UD) - Italy
# tel. +39 0432 931511 - fax +39 0432 931378
# www.unipex.it - michele.petrazzo@unipex.it
#


from distutils.core import setup
import os, sys, glob

data = list()
dataToCopy = glob.glob("FreeImagePy/data/*.*")
dataForTest = ["FreeImagePy/test/freeimage.jpg"]
dataForTool = ["FreeImagePy/tools/functList.txt",]


if sys.platform == 'win32': prefix = os.path.join(sys.prefix, "Lib/site-packages/FreeImagePy")
else: prefix = os.path.join(sys.exec_prefix, "lib/python%s" % sys.version[:3], "site-packages/FreeImagePy")

dirTest = os.path.join(prefix, "test")
dirTool = os.path.join(prefix, "tools")

setup(
    name='FreeImagePy',
    version='1.0.0',
    description='Python binding for FreeImage library',
    author='Michele Petrazzo - Unipex srl',
    author_email='michele.petrazzo@unipex.it',
    url='http://freeimage.sf.net',
    license='GNU General Public License v2, FreeImage Public License',
    packages=['FreeImagePy', 'FreeImagePy.test', 'FreeImagePy.tools'],
    data_files=[ (prefix, dataToCopy),
                 (dirTest, dataForTest),
                 (dirTool, dataForTool),
               ],
)

